# CalendarMonthWeekly Class Reference
[Calendar representation's helpers]

Calendar month representation splitted by weeks. More...

List of all members.

## Public Member Functions

| __construct (Date $base, $weekStart=Timestamp::WEEKDAY_MONDAY)
| getWeeks ()
| getDays ()
| getFullRange ()
| getFullLength ()
| getMonthRange ()
| setSelected (Date $day)
| getNextMonthBase ()
| getPrevMonthBase ()
| getBase ()

## Static Public Member Functions

static | create (Date $base, $weekStart=Timestamp::WEEKDAY_MONDAY)

## Private Attributes

| $monthRange = null
| $fullRange = null
| $fullLength = null
| $weeks = array()
| $days = array()

## Detailed Description

Calendar month representation splitted by weeks.

Definition at line 17 of file CalendarMonthWeekly.class.php.

## Constructor & Destructor Documentation

CalendarMonthWeekly::__construct | ( | Date $ | base,
|  | $ | weekStart = `Timestamp::WEEKDAY_MONDAY` |
| ) |  |  |

Definition at line 26 of file CalendarMonthWeekly.class.php.

References create(), Date::getMonth(), Date::getYear(), and Date::toStamp().

Here is the call graph for this function:

## Member Function Documentation

static CalendarMonthWeekly::create | ( | Date $ | base,
|  | $ | weekStart = `Timestamp::WEEKDAY_MONDAY` |
| ) |  |  | `[static]`

Returns:
  CalendarMonthWeekly

Definition at line 78 of file CalendarMonthWeekly.class.php.

Referenced by __construct().

CalendarMonthWeekly::getBase | ( |  | ) |

Returns:
  Date

Definition at line 149 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::getDays | ( |  | ) |

Definition at line 90 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::getFullLength | ( |  | ) |

Definition at line 103 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::getFullRange | ( |  | ) |

Returns:
  DateRange

Definition at line 98 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::getMonthRange | ( |  | ) |

Returns:
  DateRange

Definition at line 111 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::getNextMonthBase | ( |  | ) |

Returns:
  Date

Definition at line 133 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::getPrevMonthBase | ( |  | ) |

Returns:
  Date

Definition at line 141 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::getWeeks | ( |  | ) |

Definition at line 85 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::setSelected | ( | Date $ | day | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  CalendarMonthWeekly

Definition at line 120 of file CalendarMonthWeekly.class.php.

References Date::toDate().

Here is the call graph for this function:

## Member Data Documentation

CalendarMonthWeekly::$days = array()`[private]`

Definition at line 24 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::$fullLength = null`[private]`

Definition at line 21 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::$fullRange = null`[private]`

Definition at line 20 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::$monthRange = null`[private]`

Definition at line 19 of file CalendarMonthWeekly.class.php.

CalendarMonthWeekly::$weeks = array()`[private]`

Definition at line 23 of file CalendarMonthWeekly.class.php.

The documentation for this class was generated from the following file:

- main/Base/CalendarMonthWeekly.class.php